package com.gyee.frame.model.custom;

import java.io.Serializable;
import java.util.Date;

public class MainTrackVo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String wtId;
	private String wpId;
	private String wpName;
	private String tjyy;// 推荐原因
	private Date tjss;// 推荐时间
	private Double tjfs;// 推荐风速
	private String bugnum;// 缺陷单号
	private String workgroup1;// 消缺类型
	private String findlabornum;// 发现人
	private String reportlabornum;// 汇报人
	private String description;// 缺陷描述
	private Date departuretime;// 出发时间
	private Date arrivaltime;// 到达时间
	private String prodtdeptopinion;// 故障等级
	private String workleader;// 工作负责人
	private Date repairedtime;// 启动完成时间
	private String repairedcomment;// 消缺工艺
	private String unresolvedbug;// 遗留问题
	private Date checktime;// 验收时间
	private String degradebugtype;// 累计停机小时
	private String repairdeptbugtype1;// 预计损失电量
	private String checkdeptlabornum;// 验收签字人
	private String status;
	private String gzpc;// 故障排查方法
	private String gzjx;// 故障检修方法
	private Date prodtdepttime;// 消缺通知时间
	private String checkdeptopinion;// 验收意见


	private Double rwfpsc;
	private Double rwfppjsc;
	private Double ddxcsc;
	private Double ddxcpjsc;
	private Double qxclsc;
	private Double qxclpjsc;
	private Double yssc;
	private Double yspjsc;


	private Double workHours;

	public Double getWorkHours() {
		return workHours;
	}

	public void setWorkHours(Double workHours) {
		this.workHours = workHours;
	}

	public String getCheckdeptopinion() {
		return checkdeptopinion;
	}

	public void setCheckdeptopinion(String checkdeptopinion) {
		this.checkdeptopinion = checkdeptopinion;
	}

	public Date getProdtdepttime() {
		return prodtdepttime;
	}

	public void setProdtdepttime(Date prodtdepttime) {
		this.prodtdepttime = prodtdepttime;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getBugnum() {
		return bugnum;
	}

	public void setBugnum(String bugnum) {
		this.bugnum = bugnum;
	}

	public String getWorkgroup1() {
		return workgroup1;
	}

	public void setWorkgroup1(String workgroup1) {
		this.workgroup1 = workgroup1;
	}

	public String getFindlabornum() {
		return findlabornum;
	}

	public void setFindlabornum(String findlabornum) {
		this.findlabornum = findlabornum;
	}

	public String getReportlabornum() {
		return reportlabornum;
	}

	public void setReportlabornum(String reportlabornum) {
		this.reportlabornum = reportlabornum;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Date getDeparturetime() {
		return departuretime;
	}

	public void setDeparturetime(Date departuretime) {
		this.departuretime = departuretime;
	}

	public Date getArrivaltime() {
		return arrivaltime;
	}

	public void setArrivaltime(Date arrivaltime) {
		this.arrivaltime = arrivaltime;
	}

	public String getProdtdeptopinion() {
		return prodtdeptopinion;
	}

	public void setProdtdeptopinion(String prodtdeptopinion) {
		this.prodtdeptopinion = prodtdeptopinion;
	}

	public String getWorkleader() {
		return workleader;
	}

	public void setWorkleader(String workleader) {
		this.workleader = workleader;
	}

	public Date getRepairedtime() {
		return repairedtime;
	}

	public void setRepairedtime(Date repairedtime) {
		this.repairedtime = repairedtime;
	}

	public String getRepairedcomment() {
		return repairedcomment;
	}

	public void setRepairedcomment(String repairedcomment) {
		this.repairedcomment = repairedcomment;
	}

	public String getUnresolvedbug() {
		return unresolvedbug;
	}

	public void setUnresolvedbug(String unresolvedbug) {
		this.unresolvedbug = unresolvedbug;
	}

	public Date getChecktime() {
		return checktime;
	}

	public void setChecktime(Date checktime) {
		this.checktime = checktime;
	}

	public String getDegradebugtype() {
		return degradebugtype;
	}

	public void setDegradebugtype(String degradebugtype) {
		this.degradebugtype = degradebugtype;
	}

	public String getRepairdeptbugtype1() {
		return repairdeptbugtype1;
	}

	public void setRepairdeptbugtype1(String repairdeptbugtype1) {
		this.repairdeptbugtype1 = repairdeptbugtype1;
	}

	public String getCheckdeptlabornum() {
		return checkdeptlabornum;
	}

	public void setCheckdeptlabornum(String checkdeptlabornum) {
		this.checkdeptlabornum = checkdeptlabornum;
	}

	public String getGzpc() {
		return gzpc;
	}

	public void setGzpc(String gzpc) {
		this.gzpc = gzpc;
	}

	public String getGzjx() {
		return gzjx;
	}

	public void setGzjx(String gzjx) {
		this.gzjx = gzjx;
	}

	public String getWtId() {
		return wtId;
	}

	public void setWtId(String wtId) {
		this.wtId = wtId;
	}

	public String getWpId() {
		return wpId;
	}

	public void setWpId(String wpId) {
		this.wpId = wpId;
	}

	public String getWpName() {
		return wpName;
	}

	public void setWpName(String wpName) {
		this.wpName = wpName;
	}

	public String getTjyy() {
		return tjyy;
	}

	public void setTjyy(String tjyy) {
		this.tjyy = tjyy;
	}

	public Date getTjss() {
		return tjss;
	}

	public void setTjss(Date tjss) {
		this.tjss = tjss;
	}

	public Double getTjfs() {
		return tjfs;
	}

	public void setTjfs(Double tjfs) {
		this.tjfs = tjfs;
	}

	public Double getRwfpsc() {
		return rwfpsc;
	}

	public void setRwfpsc(Double rwfpsc) {
		this.rwfpsc = rwfpsc;
	}

	public Double getRwfppjsc() {
		return rwfppjsc;
	}

	public void setRwfppjsc(Double rwfppjsc) {
		this.rwfppjsc = rwfppjsc;
	}

	public Double getDdxcsc() {
		return ddxcsc;
	}

	public void setDdxcsc(Double ddxcsc) {
		this.ddxcsc = ddxcsc;
	}

	public Double getDdxcpjsc() {
		return ddxcpjsc;
	}

	public void setDdxcpjsc(Double ddxcpjsc) {
		this.ddxcpjsc = ddxcpjsc;
	}

	public Double getQxclsc() {
		return qxclsc;
	}

	public void setQxclsc(Double qxclsc) {
		this.qxclsc = qxclsc;
	}

	public Double getQxclpjsc() {
		return qxclpjsc;
	}

	public void setQxclpjsc(Double qxclpjsc) {
		this.qxclpjsc = qxclpjsc;
	}

	public Double getYssc() {
		return yssc;
	}

	public void setYssc(Double yssc) {
		this.yssc = yssc;
	}

	public Double getYspjsc() {
		return yspjsc;
	}

	public void setYspjsc(Double yspjsc) {
		this.yspjsc = yspjsc;
	}

}
